Subject: Re: bug#9401: 24.0.50; Crash during fontification

From: Chong Yidong <[email-masked]>
Date: Tue, 30 Aug 2011 18:45:34 -0400

Chong Yidong <[email-masked]> writes:

> I can trigger this crash about 50 percent of the time by doing
>
> emacs -q trunk/src/buffer.h
> C-s defvar
>
> Emacs then crashes with a segfault.
>
> The problem involves a call to scan_sexps_forward (frame#4) with
> from_byte larger than the byte size of the buffer.

I've found the bug, and committed a fix.  It was a problem with
find_defun_start not updating its cache variables consistently.  (Is
that optimization really necessary?  I guess we can re-examine it some
other time.)